return {
	"romgrk/barbar.nvim",
	init = function()
		vim.g.barbar_auto_setup = false

		local map = vim.api.nvim_set_keymap
		local opts = { noremap = true, silent = true }

		-- Move to previous/next
		map("n", "<A-,>", "<Cmd>BufferPrevious<CR>", opts)
		map("n", "<A-.>", "<Cmd>BufferNext<CR>", opts)

		-- Re-order to previous/next
		map("n", "<A-<>", "<Cmd>BufferMovePrevious<CR>", opts)
		map("n", "<A->>", "<Cmd>BufferMoveNext<CR>", opts)

		-- Goto buffer in position...
		map("n", "<A-1>", "<Cmd>BufferGoto 1<CR>", opts)
		map("n", "<A-2>", "<Cmd>BufferGoto 2<CR>", opts)
		map("n", "<A-3>", "<Cmd>BufferGoto 3<CR>", opts)
		map("n", "<A-4>", "<Cmd>BufferGoto 4<CR>", opts)
		map("n", "<A-5>", "<Cmd>BufferGoto 5<CR>", opts)
		map("n", "<A-6>", "<Cmd>BufferGoto 6<CR>", opts)
		map("n", "<A-7>", "<Cmd>BufferGoto 7<CR>", opts)
		map("n", "<A-8>", "<Cmd>BufferGoto 8<CR>", opts)
		map("n", "<A-9>", "<Cmd>BufferGoto 9<CR>", opts)
		map("n", "<A-0>", "<Cmd>BufferLast<CR>", opts)

		-- Pin/unpin buffer
		map("n", "<A-p>", "<Cmd>BufferPin<CR>", opts)

		-- Close buffer
		map("n", "<A-c>", "<Cmd>BufferClose<CR>", opts)

		-- Magic buffer-picking mode
		map("n", "<C-p>", "<Cmd>BufferPick<CR>", opts)
		map("n", "<C-s-p>", "<Cmd>BufferPickDelete<CR>", opts)

		-- Sort automatically by...
		map(
			"n",
			"<Space>bb",
			"<Cmd>BufferOrderByBufferNumber<CR>",
			{ noremap = true, silent = true, desc = "Sort [B]uffers by [B]uffer Number" }
		)
		map(
			"n",
			"<Space>bn",
			"<Cmd>BufferOrderByName<CR>",
			{ noremap = true, silent = true, desc = "Sort [B]uffers By [N]ame" }
		)
		map(
			"n",
			"<Space>bd",
			"<Cmd>BufferOrderByDirectory<CR>",
			{ noremap = true, silent = true, desc = "Sort [B]uffers by [D]irectory" }
		)
		map(
			"n",
			"<Space>bl",
			"<Cmd>BufferOrderByLanguage<CR>",
			{ noremap = true, silent = true, desc = "Sort [B]uffers by [L]anguage" }
		)
		map(
			"n",
			"<Space>bw",
			"<Cmd>BufferOrderByWindowNumber<CR>",
			{ noremap = true, silent = true, desc = "Sort [B]uffers by [W]indow Number" }
		)
	end,
	opts = {
		icons = {
			filetype = {
				enabled = false,
			},
		},
	},
}
